Summary:        Simple menu editor for Gnome
Name:           alacarte
Version:        0.11.10
Release:        %mkrel 1
Group:          System/Configuration/Other
License:        LGPLv2+
URL:            http://www.realistanew.com/projects/alacarte/
Source0:        http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Source1:	%name-icons.tar.bz2
BuildArch:      noarch
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	gnome-menus-devel >= 2.15.4.1
BuildRequires:	intltool
BuildRequires:	pygtk2.0-devel >= 2.8.0
Requires:	pygtk2.0 >= 2.8.0
Requires:	gnome-python-gconf
Requires:	gnome-python
Requires:	python-gnome-menus
Obsoletes:      smeg
Provides:       smeg = %{version}-%{release}
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Alacarte is a menu editor for GNOME that lets you get things done,
simply and quickly.

Just click and type to edit, add, and delete any menu entry.

%prep
%setup -q -a1

%build
./configure --prefix=%_prefix --libdir=%_prefix/lib

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang %name --with-gnome

desktop-file-install --vendor="" \
  --add-category="GNOME" \
  --add-category="X-MandrivaLinux-System-Configuration-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%__install -D -m 644 %{name}48.png %buildroot/%_liconsdir/%name.png
%__install -D -m 644 %{name}32.png %buildroot/%_iconsdir/%name.png
%__install -D -m 644 %{name}16.png %buildroot/%_miconsdir/%name.png

%post
%update_menus
%update_icon_cache hicolor

%postun
%clean_menus
%clean_icon_cache hicolor

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README AUTHORS COPYING
%py_puresitedir/*
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/%name/*
%{_datadir}/icons/*
%{_iconsdir}/*/%name.png
%{_iconsdir}/%name.png


%changelog
* Tue Mar 17 2009 Götz Waschk <waschk@mandriva.org> 0.11.10-1mdv2009.1
+ Revision: 356643
- update to new version 0.11.10

* Mon Feb 16 2009 Götz Waschk <waschk@mandriva.org> 0.11.9-1mdv2009.1
+ Revision: 340897
- update to new version 0.11.9

* Mon Feb 02 2009 Götz Waschk <waschk@mandriva.org> 0.11.8-1mdv2009.1
+ Revision: 336522
- update to new version 0.11.8

* Mon Jan 19 2009 Götz Waschk <waschk@mandriva.org> 0.11.7-1mdv2009.1
+ Revision: 331286
- update to new version 0.11.7

* Thu Dec 25 2008 Adam Williamson <awilliamson@mandriva.org> 0.11.6-2mdv2009.1
+ Revision: 318559
- rebuild for new python

* Tue Sep 23 2008 Götz Waschk <waschk@mandriva.org> 0.11.6-1mdv2009.0
+ Revision: 287290
- new version
- fix license
- cleanup build deps

* Tue Jul 29 2008 Oden Eriksson <oeriksson@mandriva.com> 0.11.5-3mdv2009.0
+ Revision: 252942
- fix deps pkg-config/pkgconfig
- fix deps
- rebuild

* Mon Jun 16 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.11.5-2mdv2009.0
+ Revision: 220347
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Mar 11 2008 Götz Waschk <waschk@mandriva.org> 0.11.5-1mdv2008.1
+ Revision: 185003
- new version

* Sun Feb 17 2008 Götz Waschk <waschk@mandriva.org> 0.11.4-1mdv2008.1
+ Revision: 169928
- fix installation
- new version

* Fri Jan 11 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.11.3-4mdv2008.1
+ Revision: 148441
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Oct 02 2007 Funda Wang <fundawang@mandriva.org> 0.11.3-3mdv2008.0
+ Revision: 94724
- fix provides

* Sun Sep 16 2007 Emmanuel Andry <eandry@mandriva.org> 0.11.3-2mdv2008.0
+ Revision: 88611
- drop old menu


* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 0.11.3-1mdv2007.0
+ Revision: 120202
- new version

* Thu Jan 11 2007 Götz Waschk <waschk@mandriva.org> 0.11.1.1-1mdv2007.1
+ Revision: 107312
- new version
- drop patch

* Wed Jan 10 2007 Götz Waschk <waschk@mandriva.org> 0.11.0-2mdv2007.1
+ Revision: 106939
- patch to fix crash on startup

* Mon Jan 08 2007 Götz Waschk <waschk@mandriva.org> 0.11.0-1mdv2007.1
+ Revision: 106142
- new version

* Tue Dec 19 2006 Götz Waschk <waschk@mandriva.org> 0.10.2-1mdv2007.1
+ Revision: 99118
- new version
- drop patch

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 0.10.1-4mdv2007.1
+ Revision: 88485
- patch for python 2.5

* Thu Nov 02 2006 Götz Waschk <waschk@mandriva.org> 0.10.1-3mdv2007.1
+ Revision: 76018
- really fix build on x86_64 (fcrozat sucks)

* Thu Nov 02 2006 Frederic Crozat <fcrozat@mandriva.com> 0.10.1-2mdv2007.1
+ Revision: 75797
- Fix build on x86-64, use menudir macro when relevant

  + Götz Waschk <waschk@mandriva.org>
    - Import alacarte

* Thu Oct 05 2006 Gtz Waschk <waschk@mandriva.org> 0.10.1-1mdv2007.0
- drop patches 0,1,2
- New version 0.10.1

* Tue Oct 03 2006 Frederic Crozat <fcrozat@mandriva.com> 0.10.0-3mdv2007.0
- Update patch0 with cvs fixes
- Patch1: don't hardcode root node name (GNOME bug #355828)
- Ptch2: disable menu inlining for new submenu (GNOME bug #359003)

* Sat Sep 09 2006 Frederic Crozat <fcrozat@mandriva.com> 0.10.0-2mdv2007.0
- Patch0: fix menu path in generated file

* Tue Sep 05 2006 Götz Waschk <waschk@mandriva.org> 0.10.0-1mdv2007.0
- New release 0.10.0

* Fri Aug 04 2006 Frederic Crozat <fcrozat@mandriva.com> 0.9.90-3mdv2007.0
- Fix xdg tag

* Thu Jul 27 2006 Götz Waschk <waschk@mandriva.org> 0.9.90-2mdv2007.0
- fix description
- explicit dep on python-gnome-menus
- fix buildrequires

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 0.9.90-1mdv2007.0
- New release 0.9.90

* Thu Jul 13 2006 Frederic Crozat <fcrozat@mandriva.com> 0.9.2-1mdv2007.0
- Release 0.9.2

* Wed Jul 12 2006 Frederic Crozat <fcrozat@mandriva.com> 0.9.1-4mdv2007.0
- Remove patches 0, 1, requires gnome-menus 0.15.4.1

* Fri Jun 16 2006 Jerome Soyer <saispo@mandriva.org> 0.9.1-3mdv2007.0
- Fix #23119

* Sat May 20 2006 Frederic Crozat <fcrozat@mandriva.com> 0.9.1-2mdk
- Patch0: fix compatibility with gnome 2.14
- Patch1: edit mdk menus
- Don't require pyxdg
- don't update icon cache too much when upgrading
- migrate to XDG menu

* Sat May 20 2006 Jerome Soyer <saispo@mandriva.org> 0.9.1-1mdk
- New release 0.9.1

* Fri Mar 10 2006 Jerome Soyer <saispo@mandriva.org> 0.8-4mdk
- Oops, error on Requires s/pyxdr/pyxdg/

* Fri Mar 10 2006 Jerome Soyer <saispo@mandriva.org> 0.8-3mdk
- Rebuild with the new pyxdg

* Wed Mar 08 2006 Jerome Soyer <saispo@mandriva.org> 0.8-2mdk
- Fix Requires

* Wed Mar 08 2006 Jerome Soyer <saispo@mandriva.org> 0.8-1mdk
- First Release

